APIs / Kayak Flights / One Way
Kayak Flights: One Way
One Way from Kayak Flights as JSON. 1 credit per successful call.
GET /v1/kayak-flights/one-way
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin | string | Required | Any |
destination | string | Required | Any |
departure_date | string | Required | Any |
adults | integer | Optional | Any |
children | integer | Optional | Any |
infants_in_seat | integer | Optional | Any |
infants_on_lap | integer | Optional | Any |
cabin | string | Optional | economy, premium_economy, business, first |
sort | string | Optional | best, price, duration |
page | integer | Optional | Any |
currency | string | Optional | Up to 3 characters |
locale | string | Optional | Any |
include_price_prediction | boolean | Optional | Any |
include_display_metadata | boolean | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/kayak-flights/one-way?origin=JFK&destination=LAX&departure_date=2026-09-15&adults=1" \
-H "X-API-Key: $API_KEY"